package model;

import java.util.EventObject;

public class ModelEvent extends EventObject{
	private static final long serialVersionUID = 1L;
	
	private Object oldValue,newValue;
	public ModelEvent(Object source){this(source,null,null);}
	public ModelEvent(Object source, Object newValue){this(source, null,newValue);}
	public ModelEvent(Object source, Object oldValue,Object newValue) {
		super(source);
		this.oldValue=oldValue;
		this.newValue=newValue;
	}
	
	public Object getOldValue(){return oldValue;}
	public Object getNewValue(){return newValue;}
	
}
