package starter;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import STATICS.Helper;
import view.user.UserView;
import controler.user.UserControler;
import model.user.User;
import model.user.UserModel;

public class Starter implements Runnable{
	
	public static void main(String[] args){
		new Starter();
	}
	
	public Starter(){
		new Thread(this).start();
	}
	
	public void run() {
		try {
			UserModel userModel=new UserModel("Joe");
			
			UserView userView=new UserView();
			UserView userView2=new UserView();
			UserControler userControler=new UserControler();
			
			userModel.setMapImage("model/user/images/map2.png");
			userModel.setRange(650.);
			userModel.setCurrentTime(0.);
			userModel.setUpdateInterval(120.);
			
			userControler.addView(userView);
			userControler.addView(userView2);
			
			Helper.sleep(2000);
			userControler.addModel(userModel);
			
			//Helper.sleep(5000);
			//userModel.setMapImage("model/user/images/map.png");
			
			
			
			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			String line = null;

			//  read the username from the command-line; need to use try/catch with the
			//  readLine() method
			
//			
//			while(true){
//				System.out.println("1) See users list");
//				try {
//					line = br.readLine();
//				} catch (IOException ioe) {
//					System.out.println("IO error trying to read your name!");
//				}
//				
//				int key=Integer.parseInt(line);
//				
//				switch (key) {
//				case 1:
//					for (User user : userModel.getUsers()) {
//						System.out.println(user.getName());
//					}
//					break;
//				default:
//					break;
//				}
//				
//			}
			
			//userModel.setRange(100.);

		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
}
