package model.user;

import java.awt.geom.Point2D;


public class BreakPos{
	//durée minimale de pose de 4 secondes :
	private static int MIN_BREAK_DURATION=4;
	private String context;
	private static int num=0;
	private int mynum;
	private double x=0,y=0,start=0,end=0;

	public BreakPos(double x,double y,double start,double end,String context){
		this.context=context;
		num++;
		mynum=num;
		setPos(x, y);
		setStart(start);
		setEnd(end);
//		System.out.println(toString());
	}
	
	//setters
	public void setEnd(double end){
		this.end=end;
		if(end<start){this.end=start;}
	}
	public void setStart(double start){
		this.start=start;
		if(start<end){this.start=end;}
	}
	public void setDuration(double t){
		if(t>=MIN_BREAK_DURATION){
			this.end=this.start+t;
			System.out.println(end);
		}
	}
	public void setX(double x){this.x=x;}
	public void setY(double y){this.y=y;}
	private void setPos(Point2D.Double pos){setPos(pos.getX(),pos.getY());}
	private void setPos(double x,double y){setX(x);setY(y);}
	
	//getters
	public double getX() {return x;}
	public double getY() {return y;}
	public Point2D.Double getPos(){return new Point2D.Double(x,y);}
	public double getStart() {return start;}
	public double getEnd() {return end;}
	public String getContext() {return context;}

	public boolean contain(double currentTime) {
		if(getStart()<=currentTime && getEnd()>=currentTime){return true;}
		return false;
	}
	
	@Override
	public String toString() {
		return "Pause:["+x+","+y+","+start+","+end+","+context+"]";
	}

}
