package controler;

import view.View;
import model.Model;

/**
 * @author mathieu
 *
 */
public interface ControlerInterface {
	/**
	 * Called when a view is added to this controler. When several Model are available, one call per model is made.
	 * @param view, the View added
	 * @param model, the Model to synchronize the view with
	 */
	public void initView(View view,Model model);
}
