package starter;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
 
public class ListOneItem extends JFrame implements ListSelectionListener
{
	public ListOneItem()
	{
		String[] numbers = { "one", "two", "three", "four", "five", "six", "seven" };
		JList list = new JList( numbers );
		list.setVisibleRowCount(1);
		list.setSelectedIndex(0);
		list.addListSelectionListener( this );
		JScrollPane scrollPane = new JScrollPane( list );
		scrollPane.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_NEVER);
		scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
		getContentPane().add(scrollPane, BorderLayout.NORTH);
	}
 
	public void valueChanged(ListSelectionEvent e)
	{
		JList list = (JList)e.getSource();
		list.ensureIndexIsVisible(list.getSelectedIndex());
	}
 
	public static void main(String[] args)
	{
		ListOneItem frame = new ListOneItem();
		frame.setDefaultCloseOperation( EXIT_ON_CLOSE );
		frame.setSize(200, 200);
		frame.setLocationRelativeTo( null );
		frame.setVisible( true );
	}
}
