package model.user;

import model.ModelEvent;

public class UserModelEvent extends ModelEvent{
	private static final long serialVersionUID = 1L;
	
	private UserModelEventType type;
	
	public UserModelEvent(Object source, UserModelEventType type, Object newValue){this(source, type, null, newValue);}
	public UserModelEvent(Object source, UserModelEventType type){this(source, type, null, null);}
	public UserModelEvent(Object source, UserModelEventType type,Object oldValue, Object newValue){
		super(source,(Object)oldValue,(Object)newValue);
		setType(type);
	}
	
	private void setType(UserModelEventType type){
		this.type=type;
	}
	public UserModelEventType getType(){
		return type;
	}
}
