package view.user;

import view.ViewEvent;

public class UserViewEvent extends ViewEvent{
	private static final long serialVersionUID = 1L;
	
	private UserViewEventType type;
	
	public UserViewEvent(Object source, UserViewEventType type, Object newValue){this(source, type, null, newValue);}
	public UserViewEvent(Object source, UserViewEventType type){this(source, type, null, null);}
	public UserViewEvent(Object source, UserViewEventType type,Object oldValue, Object newValue){
		super(source,oldValue,newValue);
		setType(type);
	}
	
	private void setType(UserViewEventType type){
		this.type=type;
	}
	
	public UserViewEventType getType(){
		return type;
	}
}
